xmonad-contrib-0.12: Third party extensions for xmonad

Copyright | (c) Jan Vornberger 2009
License | BSD3-style (see LICENSE)
Maintainer | jan.vornberger@informatik.uni-oldenburg.de
Stability | unstable
Portability | not portable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.DraggingVisualizer

Description

A helper module to visualize the process of dragging a window by making it follow the mouse cursor. See XMonad.Layout.WindowSwitcherDecoration for a module that makes use of this.

# Documentation

draggingVisualizer :: LayoutClass l Window => l Window -> ModifiedLayout DraggingVisualizer l Window Source

data DraggingVisualizerMsg Source

Constructors

DraggingWindow Window Rectangle |
DraggingStopped |

Instances

Eq DraggingVisualizerMsg Source |
Message DraggingVisualizerMsg Source |

data DraggingVisualizer a Source

Instances

LayoutModifier DraggingVisualizer Window Source |
Read (DraggingVisualizer a) Source |
Show (DraggingVisualizer a) Source |